rte_flow_item_e_tag(3)

NAME
rte_flow_item_e_tag

SYNOPSIS

#include <rte_flow.h>

  Data Fields

rte_be16_t epcp_edei_in_ecid_b
rte_be16_t rsvd_grp_ecid_b
uint8_t in_ecid_e
uint8_t ecid_e
rte_be16_t inner_type

Detailed Description

RTE_FLOW_ITEM_TYPE_E_TAG.

Matches a E-tag header.

The corresponding standard outer EtherType (TPID) value is RTE_ETHER_TYPE_ETAG. It can be overridden by the preceding pattern item.

Definition at line 1143 of file rte_flow.h.

Field Documentation

  rte_be16_t epcp_edei_in_ecid_b
E-Tag control information (E-TCI). E-PCP (3b), E-DEI (1b), ingress E-CID base (12b).

Definition at line 1148 of file rte_flow.h.

  rte_be16_t rsvd_grp_ecid_b
Reserved (2b), GRP (2b), E-CID base (12b).

Definition at line 1150 of file rte_flow.h.

  uint8_t in_ecid_e
Ingress E-CID ext.

Definition at line 1151 of file rte_flow.h.

  uint8_t ecid_e
E-CID ext.

Definition at line 1152 of file rte_flow.h.

  rte_be16_t inner_type
Inner EtherType or TPID.

Definition at line 1153 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.